# CMake package file for Bio++ Qt
# Authors:
#   Francois Gindraud (2017)
# Created: 17/03/2017

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was package.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/arm-linux-gnueabihf/cmake/bpp-qt" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (NOT bpp-qt_FOUND)
  # Deps
  find_package (bpp-phyl 12.0.0 REQUIRED)
  # QT dep (pull imported target required by bpp-qt)
  set (QT_USE_IMPORTED_TARGETS TRUE)
  find_package (Qt5 COMPONENTS Core Gui Widgets REQUIRED)
  #include (${QT_USE_FILE})
  # Add targets
  include ("${CMAKE_CURRENT_LIST_DIR}/bpp-qt-targets.cmake")
  # Append targets to convenient lists
  set (BPP_LIBS_STATIC "${BPP_LIBS_STATIC}" bpp-qt-static)
  set (BPP_LIBS_SHARED "${BPP_LIBS_SHARED}" bpp-qt-shared)
  # Print some path info for targets
  get_property (static-location TARGET bpp-qt-static PROPERTY LOCATION)
  get_property (shared-location TARGET bpp-qt-shared PROPERTY LOCATION)
  get_property (header-location TARGET bpp-qt-static PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
  message (STATUS "bpp-qt 2.0.0 found:")
  message (STATUS "  static lib: ${static-location}")
  message (STATUS "  shared lib: ${shared-location}")
  message (STATUS "  includes: ${header-location}")
  unset (static-location)
  unset (shared-location)
  unset (header-location)
endif (NOT bpp-qt_FOUND)
